Package org.eclipse.emf.cdo.server.ocl

## Class OCLQueryHandler.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.spi.server.QueryHandlerFactory
    - - org.eclipse.emf.cdo.server.ocl.OCLQueryHandler.Factory

- All Implemented Interfaces:
    `org.eclipse.net4j.util.factory.IFactory`
  Enclosing class:
    OCLQueryHandler

      public static class OCLQueryHandler.Factory
      extends QueryHandlerFactory

  Creates `OCLQueryHandler` instances.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.spi.server.QueryHandlerFactory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OCLQueryHandler` | `create​(java.lang.String description)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### create

          public OCLQueryHandler create​(java.lang.String description)
                                 throws org.eclipse.net4j.util.factory.ProductCreationException

      Specified by:
        `create` in interface `org.eclipse.net4j.util.factory.IFactory`
      Specified by:
        `create` in class `QueryHandlerFactory`
      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`